Skip to main content
`Ctrl`+`K`

# TaoSetInitialTrustRegionRadius

Sets the initial trust region radius.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInitialTrustRegionRadius(Tao tao, PetscReal radius)

Logically Collective

## Input Parameters

- tao - a `Tao` optimization solver

- radius - the trust region radius

## Options Database Key

- -tao_trust0 <t0> - sets initial trust region radius

## Note

Use `PETSC_DETERMINE` to use the default radius that was set when the object’s type was set.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetTrustRegionRadius()`, `TaoSetTrustRegionTolerance()`, `TAONTR`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages